Debian Bug report logs - #562163
luasocket: missing ipv6 support

version graph

Package: luasocket; Maintainer for luasocket is Enrico Tassi <gareuselesinge@debian.org>;

Reported by: Bernd Zeimetz <bernd@bzed.de>

Date: Wed, 23 Dec 2009 10:24:16 UTC

Severity: normal

Tags: ipv6

Found in version 2.0-alpha-1

Fixed in version luasocket/3.0~rc1-1

Done: Enrico Tassi <gareuselesinge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#562163; Package luasocket. (Wed, 23 Dec 2009 10:24:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
New Bug report received and forwarded. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Wed, 23 Dec 2009 10:24:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: submit@bugs.debian.org
Subject: luasocket: missing ipv6 support
Date: Wed, 23 Dec 2009 11:21:33 +0100
Package: luasocket
Tags: ipv6
Severity: normal

Hi,

as far as I can see luasocket is missing ipv6 support, which is one of the
release goals since a long time: http://release.debian.org/lenny/goals.txt

Cheers,

Bernd

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F





Added indication that bug 562163 blocks 562161 Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Wed, 23 Dec 2009 10:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562163; Package luasocket. (Thu, 24 Dec 2009 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. (Thu, 24 Dec 2009 18:48:06 GMT) Full text and rfc822 format available.

Message #12 received at 562163@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>, 562163@bugs.debian.org
Subject: Re: Bug#562163: luasocket: missing ipv6 support
Date: Thu, 24 Dec 2009 19:44:46 +0100
On Wed, Dec 23, 2009 at 11:21:33AM +0100, Bernd Zeimetz wrote:
> as far as I can see luasocket is missing ipv6 support, which is one of the
> release goals since a long time: http://release.debian.org/lenny/goals.txt

Hum, I'll forward the bug upstream, but as far as I know, there are no
plans for that.

Cheers
-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#562163; Package luasocket. (Thu, 24 Dec 2009 20:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Thu, 24 Dec 2009 20:39:09 GMT) Full text and rfc822 format available.

Message #17 received at 562163@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 562163@bugs.debian.org
Subject: Re: Bug#562163: luasocket: missing ipv6 support
Date: Thu, 24 Dec 2009 21:36:17 +0100
Enrico Tassi wrote:
> On Wed, Dec 23, 2009 at 11:21:33AM +0100, Bernd Zeimetz wrote:
>> as far as I can see luasocket is missing ipv6 support, which is one of the
>> release goals since a long time: http://release.debian.org/lenny/goals.txt
> 
> Hum, I'll forward the bug upstream, but as far as I know, there are no
> plans for that.

That would be really unfortunate. Thanks for forwarding!

Seems some of the prosody people are discussing this also:
http://code.google.com/p/lxmppd/issues/detail?id=68

Would be very nice to have v6 support in Lua!

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: 06C8 C9A2 EAAD E37E 5B2C BE93 067A AD04 C93B FF79
                   ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562163; Package luasocket. (Thu, 24 Dec 2009 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. (Thu, 24 Dec 2009 20:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 562163@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>, 562163@bugs.debian.org
Subject: Re: Bug#562163: luasocket: missing ipv6 support
Date: Thu, 24 Dec 2009 21:46:56 +0100
On Thu, Dec 24, 2009 at 09:36:17PM +0100, Bernd Zeimetz wrote:
> Enrico Tassi wrote:
> > On Wed, Dec 23, 2009 at 11:21:33AM +0100, Bernd Zeimetz wrote:
> >> as far as I can see luasocket is missing ipv6 support, which is one of the
> >> release goals since a long time: http://release.debian.org/lenny/goals.txt
> > 
> > Hum, I'll forward the bug upstream, but as far as I know, there are no
> > plans for that.
> 
> That would be really unfortunate. Thanks for forwarding!
> 
> Seems some of the prosody people are discussing this also:
> http://code.google.com/p/lxmppd/issues/detail?id=68
> 
> Would be very nice to have v6 support in Lua!

I agree, along with a clean and agile standard library...

If the prosody guys will manage to generate enough inertia for the
"standard" Lua libraries, I'll surely pay them a pint!

Finger crossed...
-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#562163; Package luasocket. (Tue, 29 Dec 2009 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diego Nehab <diego@tecgraf.puc-rio.br>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Tue, 29 Dec 2009 00:51:03 GMT) Full text and rfc822 format available.

Message #27 received at 562163@bugs.debian.org (full text, mbox):

From: Diego Nehab <diego@tecgraf.puc-rio.br>
To: Enrico Tassi <gareuselesinge@debian.org>
Cc: Jorge Sierra <asierra01@gmail.com>, 562163@bugs.debian.org
Subject: Re: [bernd@bzed.de: Bug#562163: luasocket: missing ipv6 support]
Date: Mon, 28 Dec 2009 19:40:07 -0500 (EST)
Hi Enrico,

I have never added support for ipv6 to LuaSocket because of
low demand. It has been recently brought to my attention
that somebody else has in fact added support,

    http://www.lupine.me.uk/luasocket-with-ipv6.tar.gz (link broken)

But this is not something I have personally been involved
with. I would love to get some help with this. Ideally, we
would discuss the best way to add the feature, implement it, 
and I would later support it officially.

Kind regards,
Diego

> In case you can tell us more, please reply to 562163@bugs.debian.org
> Cheers.
>
> ----- Forwarded message from Bernd Zeimetz <bernd@bzed.de> -----
>
> From: Bernd Zeimetz <bernd@bzed.de>
> To: submit@bugs.debian.org
> Subject: Bug#562163: luasocket: missing ipv6 support
>
> Package: luasocket
> Tags: ipv6
> Severity: normal
>
> Hi,
>
> as far as I can see luasocket is missing ipv6 support, which is one of the
> release goals since a long time: http://release.debian.org/lenny/goals.txt
>
> Cheers,
>
> Bernd
>
>




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562163; Package luasocket. (Tue, 29 Dec 2009 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. (Tue, 29 Dec 2009 10:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 562163@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Diego Nehab <diego@tecgraf.puc-rio.br>, 562163@bugs.debian.org
Cc: Jorge Sierra <asierra01@gmail.com>
Subject: Re: Bug#562163: [bernd@bzed.de: Bug#562163: luasocket: missing ipv6 support]
Date: Tue, 29 Dec 2009 11:08:58 +0100
On Mon, Dec 28, 2009 at 07:40:07PM -0500, Diego Nehab wrote:
> But this is not something I have personally been involved
> with. I would love to get some help with this. Ideally, we
> would discuss the best way to add the feature, implement it, and I
> would later support it officially.

AFAIK, people from the Prosody development team are interested, but is
low-priority for them:
   
   http://code.google.com/p/lxmppd/issues/detail?id=68

I have no time for writing/testing such code :-(

Cheers
-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#562163; Package luasocket. (Mon, 15 Feb 2010 15:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Thomas <nick@lupine.me.uk>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. (Mon, 15 Feb 2010 15:54:13 GMT) Full text and rfc822 format available.

Message #37 received at 562163@bugs.debian.org (full text, mbox):

From: Nick Thomas <nick@lupine.me.uk>
To: 562163@bugs.debian.org
Subject: re: luasocket: missing ipv6 support
Date: Mon, 15 Feb 2010 15:33:01 +0000
Hi,

>    http://www.lupine.me.uk/luasocket-with-ipv6.tar.gz (link broken)

This is mine - you can find the code, just recently moved, at:

http://code.lupine.me.uk/projects/luasocket

I didn't do any further work beyond what's there because (a), I don't
know Lua particularly well, (b) I don't know C particularly well, (c) I
dislike sockets programming, and (d) I'm lazy ;)

That said, as far as the code goes, it does work - you can explicitly
request an IPv6 socket and talk over it. I'd not like to see it shipped
by anyone though, and I don't think the API approach is right
(explicitly requesting AF_INET or AF_INET6). The changes to inet_trybind
are particularly hairy.

Oh, it doesn't do Windows either. Although that's not an issue for
Debian, I guess... ;)

If anybody wants to hg clone the repository, I'm happy to get a hgweb
instance running from it - just let me know. I'd love to see luasocket
get IPv6 (by which, I mean, I'd love to see Prosody get IPv6), but I
just don't think I'm the one to do it.

Regards,
-- 
Nick Thomas





Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:32 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:39 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:35 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:45 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:43:30 GMT) Full text and rfc822 format available.

Reply sent to Enrico Tassi <gareuselesinge@debian.org>:
You have taken responsibility. (Tue, 18 Jun 2013 06:51:11 GMT) Full text and rfc822 format available.

Notification sent to Bernd Zeimetz <bernd@bzed.de>:
Bug acknowledged by developer. (Tue, 18 Jun 2013 06:51:11 GMT) Full text and rfc822 format available.

Message #52 received at 562163-close@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 562163-close@bugs.debian.org
Subject: Bug#562163: fixed in luasocket 3.0~rc1-1
Date: Tue, 18 Jun 2013 06:47:56 +0000
Source: luasocket
Source-Version: 3.0~rc1-1

We believe that the bug you reported is fixed in the latest version of
luasocket, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562163@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Tassi <gareuselesinge@debian.org> (supplier of updated luasocket package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 May 2012 14:23:40 +0200
Source: luasocket
Binary: lua-socket lua-socket-dev
Architecture: source amd64
Version: 3.0~rc1-1
Distribution: experimental
Urgency: low
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Changed-By: Enrico Tassi <gareuselesinge@debian.org>
Description: 
 lua-socket - TCP/UDP socket library for the Lua language
 lua-socket-dev - TCP/UDP socket library for the Lua language
Closes: 562163
Changes: 
 luasocket (3.0~rc1-1) experimental; urgency=low
 .
   * New upstream release with Lua 5.2 support and IPv6 support
     (Closes: #562163)
   * Remove patch luaopen_socketunix (merged upstream)
   * Remove wheezy transitional packages
   * Add luasocket serial module to the package
   * Clean up the rules file using the features of dh-lua >= 17
   * Packaging moved to git
Checksums-Sha1: 
 79b0639acb2190529e0dd328a6731a1ec62e8fcb 1352 luasocket_3.0~rc1-1.dsc
 4de579a57f9bd4230aee4f33eb2b47aa9f745ab9 325264 luasocket_3.0~rc1.orig.tar.gz
 13a19064d859f40de6a896aefac8bbc38b1b0e92 4396 luasocket_3.0~rc1-1.debian.tar.gz
 fcd1d8c3dc0273fad09d20784e400e76bbebfa3e 113718 lua-socket_3.0~rc1-1_amd64.deb
 86d176f369963c8823ccb43ae0dd09ed49a28abb 174158 lua-socket-dev_3.0~rc1-1_amd64.deb
Checksums-Sha256: 
 6b69d8237c2d9aa5c92a4d3d3d6e20c590c311d9ef0044c47ccbe3ad37334217 1352 luasocket_3.0~rc1-1.dsc
 0c140a6b07c769cb0d07245f5e0a557140fd6117280fbe1cdad1617916a51732 325264 luasocket_3.0~rc1.orig.tar.gz
 ce43a87d41fada3abba5480373b65b0faf6dbf2b09f4ec27b94899c3c3f66ae5 4396 luasocket_3.0~rc1-1.debian.tar.gz
 d0b773dcf4524127ebbc6d03f27945a4af71bce31cf1307b13151f122f744950 113718 lua-socket_3.0~rc1-1_amd64.deb
 8d44d81278c200ea0519624a99f977a298f0708ff6f51dbcf25d9c74794dd489 174158 lua-socket-dev_3.0~rc1-1_amd64.deb
Files: 
 5677fc159ffa3903548638dcd53c4623 1352 interpreters optional luasocket_3.0~rc1-1.dsc
 5f3ef08a4e3e972dda597f371bd3f869 325264 interpreters optional luasocket_3.0~rc1.orig.tar.gz
 14625d6272e0adca7c9add2aa55baa45 4396 interpreters optional luasocket_3.0~rc1-1.debian.tar.gz
 aae856669015547ee449f82e750d4e16 113718 interpreters optional lua-socket_3.0~rc1-1_amd64.deb
 7645d8781fd190ad3e3bb4277c5e6294 174158 libdevel optional lua-socket-dev_3.0~rc1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlG//dUACgkQ7kkcPgEj8vLRwwCfURINzV2O/Kc0jnv4A2As+KUg
LBMAn0cC/mJeW2z/vH23KO99zsQTsKQ3
=ULZS
-----END PGP SIGNATURE-----




Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:31 GMT) Full text and rfc822 format available.

Marked as found in versions 2.0-alpha-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:38 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:54:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:58:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.